Subject: Re: [PATCH 2/3] add-patch: add diff.context command line overrides

From: "Kristoffer Haugsbakk" <[email-masked]>
Date: Mon, 05 May 2025 11:49:57 +0200

On Mon, May 5, 2025, at 11:18, Leon Michalak via GitGitGadget wrote:
> From: Leon Michalak <[email-masked]>
>
> This patch compliments `8b91eef812`, where builtins that accept
> `--patch` options now respect `diff.context` and `diff.interHunkContext`
> file configurations.

8b91eef812 is patch 1.  This hash will change once the patches have been
imported via git-am(1).  So it won’t make sense when these patches land
as commits.

I think the usual approach is to refer to a previous commit in the
series as “in a previous commit we...”.  Or maybe “in the previous
commit” for this patch and “two commits ago” for patch 3.

For commits that are in the stable history (like `master`) the
convention is to use:

    git show -s --pretty=reference <commit>

Without backticks (`).  See SubmittingPatches, commit-reference.